/* Grundsätzliches */
html {
	position: relative;
	min-height: 100%;
}

/* Textdarstellung */
p,h1,h2,h3,h4,a {
	-ms-hyphens: auto;
	-webkit-hyphens: auto;
	hyphens: auto;
}

/* Wichtige Farben */
.r {
	color: #d00000;
}
.b {
	color: #000080;
}

/* Bootstrap-Icons ersetzen wegen CSP (Stand 5.3.3) */
.form-select {
  --bs-form-select-bg-img: url("../../bootstrap-5.3.3-svg/1.svg");
}
[data-bs-theme=dark] .form-select {
  --bs-form-select-bg-img: url("../../bootstrap-5.3.3-svg/2.svg");
}
.form-check-input:checked[type=checkbox] {
  --bs-form-check-bg-image: url("../../bootstrap-5.3.3-svg/3.svg");
}
.form-check-input:checked[type=radio] {
  --bs-form-check-bg-image: url("../../bootstrap-5.3.3-svg/4.svg");
}
.form-check-input[type=checkbox]:indeterminate {
  --bs-form-check-bg-image: url("../../bootstrap-5.3.3-svg/5.svg");
}
.form-switch .form-check-input {
  --bs-form-switch-bg: url("../../bootstrap-5.3.3-svg/6.svg");
}
.form-switch .form-check-input:focus {
  --bs-form-switch-bg: url("../../bootstrap-5.3.3-svg/7.svg");
}
.form-switch .form-check-input:checked {
  --bs-form-switch-bg: url("../../bootstrap-5.3.3-svg/8.svg");
}
[data-bs-theme=dark] .form-switch .form-check-input:not(:checked):not(:focus) {
  --bs-form-switch-bg: url("../../bootstrap-5.3.3-svg/9.svg");
}
.was-validated .form-control:valid, .form-control.is-valid {
  background-image: url("../../bootstrap-5.3.3-svg/10.svg");
}
.was-validated .form-select:valid:not([multiple]):not([size]), .was-validated .form-select:valid:not([multiple])[size="1"], .form-select.is-valid:not([multiple]):not([size]), .form-select.is-valid:not([multiple])[size="1"] {
  --bs-form-select-bg-icon: url("../../bootstrap-5.3.3-svg/11.svg");
}
.was-validated .form-control:invalid, .form-control.is-invalid {
  background-image: url("../../bootstrap-5.3.3-svg/12.svg");
}
.was-validated .form-select:invalid:not([multiple]):not([size]), .was-validated .form-select:invalid:not([multiple])[size="1"], .form-select.is-invalid:not([multiple]):not([size]), .form-select.is-invalid:not([multiple])[size="1"] {
  --bs-form-select-bg-icon: url("../../bootstrap-5.3.3-svg/13.svg");
}
.navbar {
  --bs-navbar-toggler-icon-bg: url("../../bootstrap-5.3.3-svg/14.svg");
}
.navbar-dark,
.navbar[data-bs-theme=dark] {
  --bs-navbar-toggler-icon-bg: url("../../bootstrap-5.3.3-svg/15.svg");
}
[data-bs-theme=dark] .navbar-toggler-icon {
  --bs-navbar-toggler-icon-bg: url("../../bootstrap-5.3.3-svg/16.svg");
}
.accordion {
  --bs-accordion-btn-icon: url("../../bootstrap-5.3.3-svg/17.svg");
  --bs-accordion-btn-active-icon: url("../../bootstrap-5.3.3-svg/18.svg");
}
[data-bs-theme=dark] .accordion-button::after {
  --bs-accordion-btn-icon: url("../../bootstrap-5.3.3-svg/19.svg");
  --bs-accordion-btn-active-icon: url("../../bootstrap-5.3.3-svg/20.svg");
}
.btn-close {
  --bs-btn-close-bg: url("../../bootstrap-5.3.3-svg/21.svg");
}
.carousel-control-prev-icon {
  background-image: url("../../bootstrap-5.3.3-svg/22.svg") /*rtl:url("../../bootstrap-5.3.3-svg/22a.svg")*/;
}
.carousel-control-next-icon {
  background-image: url("../../bootstrap-5.3.3-svg/23.svg") /*rtl:url("../../bootstrap-5.3.3-svg/23a.svg")*/;
}

/* Codedarstellung */
code {
  font-size: 80%;
}